﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ParameterSubstitution
{
    class Program
    {
        static void Main(string[] args)
        {
            const string s = "Hello {name}, the value is {value:00} at {date:yyyy-MM-dd} {date:HHmmss}";

            var d = new Dictionary<string, object>();
            d.Add("date", DateTime.Now);
            d.Add("value", 5);
            d.Add("name", "MySelf");

            Console.WriteLine(s.FormatByName(d));

            Console.WriteLine(s.FormatByName(new {date=DateTime.Now, value=5, name="MySelf"}));

            Console.ReadLine();
        }
    }
}
